DEFINITION MODULE PCEipc;

FROM K32baseTypes IMPORT

	cardinal32, cardinal8;

FROM K32types IMPORT

	msgStruct;

FROM events IMPORT

	pceMsg;

FROM ACPipc IMPORT

	ACPmsgStruct;

EXPORT QUALIFIED

	PCEmsgStruct;

TYPE
	PCEmsgStruct = RECORD
		CASE cardinal32 OF
		    0:
			KER : ACPmsgStruct;
		|   1:
			event : cardinal8;   (* always ETpce *)
	                pcemsg : pceMsg;
		END;
	END;
			 
END PCEipc.
